### Method

# Gtk.TextIter.get_slice

#### Declaration [src]

    char*
    gtk_text_iter_get_slice (
      const GtkTextIter* start,
      const GtkTextIter* end
    )

#### Description [src]

Returns the text in the given range.

A “slice” is an array of characters encoded in UTF-8 format, including the Unicode “unknown” character 0xFFFC for iterable non-character elements in the buffer, such as images. Because images are encoded in the slice, byte and character offsets in the returned array will correspond to byte offsets in the text buffer. Note that 0xFFFC can occur in normal text as well, so it is not a reliable indicator that a paintable or widget is in the buffer.

#### Parameters

`end` | `GtkTextIter`
| iterator at end of a range
| Ownership is not transferred to the callee

#### Return value

Returns: `char*`
slice of text from the buffer
Ownership of the data is transferred to the caller
The string is a NUL terminated UTF-8 string